Package com.sas.lsaf.content.utilization

## Class ResourceUtilizationSummaryTransientWorkspaceInfo

- java.lang.Object
- - com.sas.lsaf.content.utilization.ResourceUtilizationWorkspaceInfo
  - - com.sas.lsaf.content.utilization.ResourceUtilizationSummaryTransientWorkspaceInfo

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ResourceUtilizationSummaryTransientWorkspaceInfo
      extends ResourceUtilizationWorkspaceInfo

  Represents transient workspace utilization by user.
  Since:
    2.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourceUtilizationSummaryTransientWorkspaceInfo​(java.lang.String owner, long size, java.lang.Integer count)` | The initializing constructor that sets the values of all variables.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.Integer` | `getCount()` | Gets the total count of transient workspaces owned by the user.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.content.utilization.ResourceUtilizationWorkspaceInfo

      `getOwner, getSize`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceUtilizationSummaryTransientWorkspaceInfo

          public ResourceUtilizationSummaryTransientWorkspaceInfo​(java.lang.String owner,
                                                                  long size,
                                                                  java.lang.Integer count)

      The initializing constructor that sets the values of all variables.

      It is not intended or recommended that the consumer of the API construct these objects. They should only be retrieved from service calls, such as `ResourceUtilizationService.getAllTransientWorkspaceUtilization()`.

      Parameters:
        `owner` - The userId of the owner of the workspace items.
        `size` - The total size (in bytes) of the workspace items.
        `count` - The total count of transient workspaces owned by the user.

  - ### Method Detail

    - #### getCount

          public java.lang.Integer getCount()

      Gets the total count of transient workspaces owned by the user.
      Returns:
        The total count of transient workspaces owned by the user.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ResourceUtilizationWorkspaceInfo`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `ResourceUtilizationWorkspaceInfo`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ResourceUtilizationWorkspaceInfo`